features:
  secondary:
    - name: "Templates to simplify initial rules keyword configuration"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/index.html#workflowrules-templates'
      reporter: jyavorska
      stage: verify
      categories:
        - 'Continuous Integration (CI)'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/217732'
      description: |
        It can be hard to figure out how to use the new `rules` keyword, especially if you previously used `only/except`. The two are fundamentally different. The `rules` keyword creates an MR pipeline by default, but `only/except` doesn't.

        To make it easier to get started and get to your first green pipeline with `rules` more quickly, we've added the two most common `workflow: rules` configurations as bundled templates. These make it much easier to get things working right away, letting you focus on what's important.
